chirp_audit Struct Reference

Descibes the space consumed by a single user on a Chirp server. More...

`#include <chirp_types.h>`

## Data Fields

char | name [CHIRP_PATH_MAX]
| The identity of the user.
INT64_T | nfiles
| The number of files owned by that user.
INT64_T | ndirs
| The number of directories owned by that user.
INT64_T | nbytes
| The total bytes consumed by that user.

## Detailed Description

Descibes the space consumed by a single user on a Chirp server.

See also
  chirp_reli_audit

## Field Documentation

## name

char chirp_audit::name[CHIRP_PATH_MAX]

The identity of the user.

## nfiles

INT64_T chirp_audit::nfiles

The number of files owned by that user.

## ndirs

INT64_T chirp_audit::ndirs

The number of directories owned by that user.

## nbytes

INT64_T chirp_audit::nbytes

The total bytes consumed by that user.

The documentation for this struct was generated from the following file:

- chirp_types.h